Bug 114375 - subscript out of range
Summary: subscript out of range
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gv   
(Show other bugs)
Version: 1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-27 12:35 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 3.5.8-26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-20 03:35:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
increased array size to avoid subscript out of range (370 bytes, patch)
2004-02-01 01:15 UTC, Bart Martens
no flags Details | Diff

Description d.binderman 2004-01-27 12:35:39 UTC
Description of problem:

I just tried to compile package gv-3.5.8-23 from Redhat
Fedora Core 1.

The compiler said

1.

process.c(291): warning #175: subscript out of range

The source code is

	char *argv[3];

	/* code deleted */
	argv[3] = NULL;

This code might benefit from rework. Suggest increase size of argv to 4.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Bart Martens 2004-02-01 01:15:54 UTC
Created attachment 97395 [details]
increased array size to avoid subscript out of range


Note You need to log in before you can comment on or make changes to this bug.